package com.cusc.nirvana.user.auth.identification.service;

import com.cusc.nirvana.user.auth.identification.dto.CaptchaCreateReq;
import com.cusc.nirvana.user.auth.identification.dto.CaptchaCreateResp;
import com.cusc.nirvana.user.auth.identification.dto.CaptchaVerificationReq;

/**
 * Description: 验证码业务
 * <br />
 * CreateDate 2021-11-02 20:25:19
 *
 * @author yuyi
 **/
public interface ICaptchaService {

    /**
     * Description: 生成图形验证码
     * <br />
     * CreateDate 2022-01-24 10:32:21
     * @param bean 图形验证码请求对象
     * @author yuyi
     **/
    CaptchaCreateResp generateCaptcha(CaptchaCreateReq bean);

    /**
     * Description: 验证图形验证码
     * <br />
     * CreateDate 2022-01-24 10:32:21
     * @param bean 图形验证码请求对象
     * @author yuyi
     **/
    boolean verificationCaptcha(CaptchaVerificationReq bean);

    /**
     * Description: 检查短信验证码验证错误次数
     * <br />
     * CreateDate 2022-07-08 19:41:51
     *
     * @author yuyi
     **/
    void checkSmsCaptchaErrorCount(String phone, String tenantNo, String appId);

    /**
     * Description: 删除短信验证码验证错误次数
     * <br />
     * CreateDate 2022-07-08 19:41:51
     *
     * @author yuyi
     **/
    void delSmsCaptchaErrorCount(String phone, String tenantNo, String appId);
}
