package com.cusc.nirvana.user.ciam.converter;

import com.cusc.nirvana.user.ciam.dao.entity.UserThirdpartyPO;
import com.cusc.nirvana.user.ciam.dto.CiamUserThirdpartyDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 终端用户三方认证(UserThirdparty)表服务接口
 *
 * @author yuy336
 * @since 2022-05-05 19:54:47
 */
@Mapper
public interface UserThirdpartyConverter {

    UserThirdpartyConverter INSTANCE = Mappers.getMapper(UserThirdpartyConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    CiamUserThirdpartyDTO poToDto(UserThirdpartyPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    UserThirdpartyPO dtoToPo(CiamUserThirdpartyDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<CiamUserThirdpartyDTO> poListToDtoList(List<UserThirdpartyPO> list);
}
