package com.cusc.nirvana.user.ciam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.ciam.dao.entity.UserThirdpartyPO;
import com.cusc.nirvana.user.ciam.dto.CiamUserThirdpartyDTO;

import java.util.List;

/**
 * 终端用户三方认证(UserThirdparty)表服务接口
 *
 * @author yuy336
 * @since 2022-05-05 19:54:47
 */
public interface IUserThirdpartyService extends IService<UserThirdpartyPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    CiamUserThirdpartyDTO getByUuid(CiamUserThirdpartyDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<CiamUserThirdpartyDTO> queryByList(CiamUserThirdpartyDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    CiamUserThirdpartyDTO insert(CiamUserThirdpartyDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    CiamUserThirdpartyDTO update(CiamUserThirdpartyDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(CiamUserThirdpartyDTO bean);

}
