package com.cusc.nirvana.user.eiam.converter;

import com.cusc.nirvana.user.eiam.dao.entity.RoleResourcePO;
import com.cusc.nirvana.user.eiam.dto.RoleResourceDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * (RoleResource)表服务接口
 *
 * @author yuy336
 * @since 2022-01-18 19:28:50
 */
@Mapper
public interface RoleResourceConverter {

    RoleResourceConverter INSTANCE = Mappers.getMapper(RoleResourceConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RoleResourceDTO poToDto(RoleResourcePO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RoleResourcePO dtoToPo(RoleResourceDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RoleResourceDTO> poListToDtoList(List<RoleResourcePO> list);
}
